diff --git a/books/bookvol10.3.pamphlet b/books/bookvol10.3.pamphlet
index 3a34055..bff1070 100644
--- a/books/bookvol10.3.pamphlet
+++ b/books/bookvol10.3.pamphlet
@@ -18635,6 +18635,885 @@ DenavitHartenbergMatrix(R): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain DEQUEUE Dequeue}
+<<Dequeue.input>>=
+)sys rm -f Dequeue.output
+)spool Dequeue.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 63
+a:Dequeue INT:= dequeue [1,2,3,4,5]
+--R 
+--R
+--R   (1)  [1,2,3,4,5]
+--R                                                        Type: Dequeue Integer
+--E 1
+
+--S 2 of 63
+dequeue! a
+--R 
+--R
+--R   (2)  1
+--R                                                        Type: PositiveInteger
+--E 2
+
+--S 3 of 63
+a
+--R 
+--R
+--R   (3)  [2,3,4,5]
+--R                                                        Type: Dequeue Integer
+--E 3
+
+--S 4 of 63
+extract! a
+--R 
+--R
+--R   (4)  2
+--R                                                        Type: PositiveInteger
+--E 4
+
+--S 5 of 63
+a
+--R 
+--R
+--R   (5)  [3,4,5]
+--R                                                        Type: Dequeue Integer
+--E 5
+
+--S 6 of 63
+enqueue!(9,a)
+--R 
+--R
+--R   (6)  9
+--R                                                        Type: PositiveInteger
+--E 6
+
+--S 7 of 63
+a
+--R 
+--R
+--R   (7)  [3,4,5,9]
+--R                                                        Type: Dequeue Integer
+--E 7
+
+--S 8 of 63
+insert!(8,a)
+--R 
+--R
+--R   (8)  [3,4,5,9,8]
+--R                                                        Type: Dequeue Integer
+--E 8
+
+--S 9 of 63
+a
+--R 
+--R
+--R   (9)  [3,4,5,9,8]
+--R                                                        Type: Dequeue Integer
+--E 9
+
+--S 10 of 63
+front a
+--R 
+--R
+--R   (10)  3
+--R                                                        Type: PositiveInteger
+--E 10
+
+--S 11 of 63
+back a
+--R 
+--R
+--R   (11)  8
+--R                                                        Type: PositiveInteger
+--E 11
+
+--S 12 of 63
+bottom! a
+--R 
+--R
+--R   (12)  8
+--R                                                        Type: PositiveInteger
+--E 12
+
+--S 13 of 63
+a
+--R 
+--R
+--R   (13)  [3,4,5,9]
+--R                                                        Type: Dequeue Integer
+--E 13
+
+--S 14 of 63
+depth a
+--R 
+--R
+--R   (14)  4
+--R                                                        Type: PositiveInteger
+--E 14
+
+--S 15 of 63
+height a
+--R 
+--R
+--R   (15)  4
+--R                                                        Type: PositiveInteger
+--E 15
+
+--S 16 of 63
+insertBottom!(6,a)
+--R 
+--R
+--R   (16)  6
+--R                                                        Type: PositiveInteger
+--E 16
+
+--S 17 of 63
+a
+--R 
+--R
+--R   (17)  [3,4,5,9,6]
+--R                                                        Type: Dequeue Integer
+--E 17
+
+--S 18 of 63
+extractBottom! a
+--R 
+--R
+--R   (18)  6
+--R                                                        Type: PositiveInteger
+--E 18
+
+--S 19 of 63
+a
+--R 
+--R
+--R   (19)  [3,4,5,9]
+--R                                                        Type: Dequeue Integer
+--E 19
+
+--S 20 of 63
+insertTop!(7,a)
+--R 
+--R
+--R   (20)  7
+--R                                                        Type: PositiveInteger
+--E 20
+
+--S 21 of 63
+a
+--R 
+--R
+--R   (21)  [7,3,4,5,9]
+--R                                                        Type: Dequeue Integer
+--E 21
+
+--S 22 of 63
+extractTop! a
+--R 
+--R
+--R   (22)  7
+--R                                                        Type: PositiveInteger
+--E 22
+
+--S 23 of 63
+a
+--R 
+--R
+--R   (23)  [3,4,5,9]
+--R                                                        Type: Dequeue Integer
+--E 23
+
+--S 24 of 63
+top a
+--R 
+--R
+--R   (24)  3
+--R                                                        Type: PositiveInteger
+--E 24
+
+--S 25 of 63
+a
+--R 
+--R
+--R   (25)  [3,4,5,9]
+--R                                                        Type: Dequeue Integer
+--E 25
+
+--S 26 of 63
+top! a
+--R 
+--R
+--R   (26)  3
+--R                                                        Type: PositiveInteger
+--E 26
+
+--S 27 of 63
+a
+--R 
+--R
+--R   (27)  [4,5,9]
+--R                                                        Type: Dequeue Integer
+--E 27
+
+--S 28 of 63
+reverse! a
+--R 
+--R
+--R   (28)  [9,5,4]
+--R                                                        Type: Dequeue Integer
+--E 28
+
+--S 29 of 63
+rotate! a
+--R 
+--R
+--R   (29)  [5,4,9]
+--R                                                        Type: Dequeue Integer
+--E 29
+
+--S 30 of 63
+inspect a
+--R 
+--R
+--R   (30)  5
+--R                                                        Type: PositiveInteger
+--E 30
+
+--S 31 of 63
+empty? a
+--R 
+--R
+--R   (31)  false
+--R                                                                Type: Boolean
+--E 31
+
+--S 32 of 63
+#a
+--R 
+--R
+--R   (32)  3
+--R                                                        Type: PositiveInteger
+--E 32
+
+--S 33 of 63
+length a
+--R 
+--R
+--R   (33)  3
+--R                                                        Type: PositiveInteger
+--E 33
+
+--S 34 of 63
+less?(a,9)
+--R 
+--R
+--R   (34)  true
+--R                                                                Type: Boolean
+--E 34
+
+--S 35 of 63
+more?(a,9)
+--R 
+--R
+--R   (35)  false
+--R                                                                Type: Boolean
+--E 35
+
+--S 36 of 63
+size?(a,#a)
+--R 
+--R
+--R   (36)  true
+--R                                                                Type: Boolean
+--E 36
+
+--S 37 of 63
+size?(a,9)
+--R 
+--R
+--R   (37)  false
+--R                                                                Type: Boolean
+--E 37
+
+--S 38 of 63
+parts a
+--R 
+--R
+--R   (38)  [5,4,9]
+--R                                                           Type: List Integer
+--E 38
+
+--S 39 of 63
+bag([1,2,3,4,5])$Dequeue(INT)
+--R 
+--R
+--R   (39)  [1,2,3,4,5]
+--R                                                        Type: Dequeue Integer
+--E 39
+
+--S 40 of 63
+b:=empty()$(Dequeue INT)
+--R 
+--R
+--R   (40)  []
+--R                                                        Type: Dequeue Integer
+--E 40
+
+--S 41 of 63
+empty? b
+--R 
+--R
+--R   (41)  true
+--R                                                                Type: Boolean
+--E 41
+
+--S 42 of 63
+sample()$Dequeue(INT)
+--R 
+--R
+--R   (42)  []
+--R                                                        Type: Dequeue Integer
+--E 42
+
+--S 43 of 63
+c:=copy a
+--R 
+--R
+--R   (43)  [5,4,9]
+--R                                                        Type: Dequeue Integer
+--E 43
+
+--S 44 of 63
+eq?(a,c)
+--R 
+--R
+--R   (44)  false
+--R                                                                Type: Boolean
+--E 44
+
+--S 45 of 63
+eq?(a,a)
+--R 
+--R
+--R   (45)  true
+--R                                                                Type: Boolean
+--E 45
+
+--S 46 of 63
+(a=c)@Boolean
+--R 
+--R
+--R   (46)  true
+--R                                                                Type: Boolean
+--E 46
+
+--S 47 of 63
+(a=a)@Boolean
+--R 
+--R
+--R   (47)  true
+--R                                                                Type: Boolean
+--E 47
+
+--S 48 of 63
+a~=c
+--R 
+--R
+--R   (48)  false
+--R                                                                Type: Boolean
+--E 48
+
+--S 49 of 63
+any?(x+->(x=4),a)
+--R 
+--R
+--R   (49)  true
+--R                                                                Type: Boolean
+--E 49
+
+--S 50 of 63
+any?(x+->(x=11),a)
+--R 
+--R
+--R   (50)  false
+--R                                                                Type: Boolean
+--E 50
+
+--S 51 of 63
+every?(x+->(x=11),a)
+--R 
+--R
+--R   (51)  false
+--R                                                                Type: Boolean
+--E 51
+
+--S 52 of 63
+count(4,a)
+--R 
+--R
+--R   (52)  1
+--R                                                        Type: PositiveInteger
+--E 52
+
+--S 53 of 63
+count(x+->(x>2),a)
+--R 
+--R
+--R   (53)  3
+--R                                                        Type: PositiveInteger
+--E 53
+
+--S 54 of 63
+map(x+->x+10,a)
+--R 
+--R
+--R   (54)  [15,14,19]
+--R                                                        Type: Dequeue Integer
+--E 54
+
+--S 55 of 63
+a
+--R 
+--R
+--R   (55)  [5,4,9]
+--R                                                        Type: Dequeue Integer
+--E 55
+
+--S 56 of 63
+map!(x+->x+10,a)
+--R 
+--R
+--R   (56)  [15,14,19]
+--R                                                        Type: Dequeue Integer
+--E 56
+
+--S 57 of 63
+a
+--R 
+--R
+--R   (57)  [15,14,19]
+--R                                                        Type: Dequeue Integer
+--E 57
+
+--S 58 of 63
+members a
+--R 
+--R
+--R   (58)  [15,14,19]
+--R                                                           Type: List Integer
+--E 58
+
+--S 59 of 63
+member?(14,a)
+--R 
+--R
+--R   (59)  true
+--R                                                                Type: Boolean
+--E 59
+
+--S 60 of 63
+coerce a
+--R 
+--R
+--R   (60)  [15,14,19]
+--R                                                             Type: OutputForm
+--E 60
+
+--S 61 of 63
+hash a
+--R 
+--R
+--R   (61)  0
+--R                                                          Type: SingleInteger
+--E 61
+
+--S 62 of 63
+latex a
+--R 
+--R
+--R   (62)  "\mbox{\bf Unimplemented}"
+--R                                                                 Type: String
+--E 62
+
+--S 63 of 63
+)show Dequeue
+--R 
+--R Dequeue S: SetCategory  is a domain constructor
+--R Abbreviation for Dequeue is DEQUEUE 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.spad.pamphlet to see algebra source code for DEQUEUE 
+--R
+--R------------------------------- Operations --------------------------------
+--R back : % -> S                         bag : List S -> %
+--R bottom! : % -> S                      copy : % -> %
+--R depth : % -> NonNegativeInteger       dequeue : List S -> %
+--R dequeue : () -> %                     dequeue! : % -> S
+--R empty : () -> %                       empty? : % -> Boolean
+--R enqueue! : (S,%) -> S                 eq? : (%,%) -> Boolean
+--R extract! : % -> S                     extractBottom! : % -> S
+--R extractTop! : % -> S                  front : % -> S
+--R height : % -> NonNegativeInteger      insert! : (S,%) -> %
+--R insertBottom! : (S,%) -> S            insertTop! : (S,%) -> S
+--R inspect : % -> S                      length : % -> NonNegativeInteger
+--R map : ((S -> S),%) -> %               pop! : % -> S
+--R push! : (S,%) -> S                    reverse! : % -> %
+--R rotate! : % -> %                      sample : () -> %
+--R top : % -> S                          top! : % -> S
+--R #? : % -> NonNegativeInteger if $ has finiteAggregate
+--R ?=? : (%,%) -> Boolean if S has SETCAT
+--R any? : ((S -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R coerce : % -> OutputForm if S has SETCAT
+--R count : (S,%) -> NonNegativeInteger if $ has finiteAggregate and S has SETCAT
+--R count : ((S -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
+--R eval : (%,List S,List S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,S,S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,Equation S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,List Equation S) -> % if S has EVALAB S and S has SETCAT
+--R every? : ((S -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R hash : % -> SingleInteger if S has SETCAT
+--R latex : % -> String if S has SETCAT
+--R less? : (%,NonNegativeInteger) -> Boolean
+--R map! : ((S -> S),%) -> % if $ has shallowlyMutable
+--R member? : (S,%) -> Boolean if $ has finiteAggregate and S has SETCAT
+--R members : % -> List S if $ has finiteAggregate
+--R more? : (%,NonNegativeInteger) -> Boolean
+--R parts : % -> List S if $ has finiteAggregate
+--R size? : (%,NonNegativeInteger) -> Boolean
+--R ?~=? : (%,%) -> Boolean if S has SETCAT
+--R
+--E 63
+
+)spool
+)lisp (bye)
+ 
+@
+<<Dequeue.help>>=
+====================================================================
+Dequeue examples
+====================================================================
+
+A Dequeue is a double-ended queue so elements can be added to 
+either end.
+
+Here we create an dequeue of integers from a list. Notice that the
+order in the list is the order in the dequeue.
+
+   a:Dequeue INT:= dequeue [1,2,3,4,5]
+      [1,2,3,4,5]
+
+We can remove the top of the dequeue using dequeue!:
+
+   dequeue! a
+      1
+
+Notice that the use of dequeue! is destructive (destructive operations
+in Axiom usually end with ! to indicate that the underylying data
+structure is changed).
+
+   a
+      [2,3,4,5]
+
+The extract! operation is another name for the dequeue! operation and
+has the same effect. This operation treats the dequeue as a BagAggregate:
+
+   extract! a
+      2
+
+and you can see that it also has destructively modified the dequeue:
+
+   a
+      [3,4,5]
+
+Next we use enqueue! to add a new element to the end of the dequeue:
+
+   enqueue!(9,a)
+      9
+
+Again, the enqueue! operation is destructive so the dequeue is changed:
+
+   a
+      [3,4,5,9]
+
+Another name for enqueue! is insert!, which treats the dequeue as a 
+BagAggregate:
+
+   insert!(8,a)
+      [3,4,5,9,8]
+
+and it modifies the dequeue:
+
+   a
+      [3,4,5,9,8]
+
+The front operation returns the item at the front of the dequeue:
+
+   front a
+      3
+
+The back operation returns the item at the back of the dequeue:
+
+   back a
+      8
+
+The bottom! operation returns the item at the back of the dequeue:
+
+   bottom! a
+      8
+
+and it modifies the dequeue:
+
+   a
+      [3,4,5,9]
+
+The depth function returns the number of elements in the dequeue:
+
+   depth a
+      4
+
+The height function returns the number of elements in the dequeue:
+
+   height a
+      4
+
+The insertBottom! function adds the element at the end:
+
+   insertBottom!(6,a)
+      6
+
+and it modifies the dequeue:
+
+   a
+      [3,4,5,9,6]
+
+The extractBottom! function removes the element at the end:
+
+   extractBottom! a
+      6
+
+and it modifies the dequeue:
+
+   a
+      [3,4,5,9]
+
+The insertTop! function adds the element at the top:
+
+   insertTop!(7,a)
+      7
+
+and it modifies the dequeue:
+
+   a
+      [7,3,4,5,9]
+
+The extractTop! function adds the element at the top:
+
+   extractTop! a
+      7
+
+and it modifies the dequeue:
+
+   a
+      [3,4,5,9]
+
+The top function returns the top element:
+
+   top a
+      3
+
+and it does not modifies the dequeue:
+
+   a
+      [3,4,5,9]
+
+The top! function returns the top element:
+
+   top! a
+      3
+
+and it modifies the dequeue:
+
+   a
+      [4,5,9]
+
+The reverse! operation destructively reverses the elements of the dequeue:
+
+   reverse! a
+      [9,5,4]
+
+The rotate! operation moves the top element to the bottom:
+
+   rotate! a
+      [5,4,9]
+
+
+The inspect function returns the top of the dequeue without modification,
+viewed as a BagAggregate:
+
+   inspect a
+      5
+
+The empty? operation returns true only if there are no element on the
+dequeue, otherwise it returns false:
+
+   empty? a
+      false
+
+The # (length) operation:
+
+   #a
+       3
+
+The length operation does the same thing:
+
+   length a
+       3
+
+The less? predicate will compare the dequeue length to an integer:
+
+   less?(a,9)
+        true
+
+The more? predicate will compare the dequeue length to an integer:
+
+   more?(a,9)
+        false
+
+The size? operation will compare the dequeue length to an integer:
+
+   size?(a,#a)
+        true
+
+and since the last computation must alwasy be true we try:
+
+   size?(a,9)
+        false
+
+The parts function will return  the dequeue as a list of its elements:
+
+   parts a
+        [5,4,9]
+
+If we have a BagAggregate of elements we can use it to construct a dequeue:
+
+   bag([1,2,3,4,5])$Dequeue(INT)
+        [1,2,3,4,5]
+
+The empty function will construct an empty dequeue of a given type:
+
+   b:=empty()$(Dequeue INT)
+        []
+
+and the empty? predicate allows us to find out if a dequeue is empty:
+
+   empty? b
+        true
+
+The sample function returns a sample, empty dequeue:
+
+   sample()$Dequeue(INT)
+        []
+
+We can copy a dequeue and it does not share storage so subsequent
+modifications of the original dequeue will not affect the copy:
+
+   c:=copy a
+        [5,4,9]
+
+The eq? function is only true if the lists are the same reference,
+so even though c is a copy of a, they are not the same:
+
+   eq?(a,c)
+        false
+
+However, a clearly shares a reference with itself:
+
+   eq?(a,a)
+        true
+
+But we can compare a and c for equality:
+
+   (a=c)@Boolean
+        true
+
+and clearly a is equal to itself:
+
+   (a=a)@Boolean
+        true
+
+and since a and c are equal, they are clearly NOT not-equal:
+
+   a~=c
+        false
+
+We can use the any? function to see if a predicate is true for any element:
+
+   any?(x+->(x=4),a)
+        true
+
+or false for every element:
+
+   any?(x+->(x=11),a)
+        false
+
+We can use the every? function to check every element satisfies a predicate:
+
+   every?(x+->(x=11),a)
+        false
+
+We can count the elements that are equal to an argument of this type:
+
+   count(4,a)
+        1
+
+or we can count against a boolean function:
+
+   count(x+->(x>2),a)
+        3
+
+You can also map a function over every element, returning a new dequeue:
+
+   map(x+->x+10,a)
+        [15,14,19]
+
+Notice that the orignal dequeue is unchanged:
+
+   a
+        [5,4,9]
+
+You can use map! to map a function over every element and change
+the original dequeue since map! is destructive:
+
+   map!(x+->x+10,a)
+       [15,14,19]
+
+Notice that the orignal dequeue has been changed:
+
+   a
+       [15,14,19]
+
+The member function can also get the element of the dequeue as a list:
+
+   members a
+       [15,14,19]
+
+and using member? we can test if the dequeue holds a given element:
+
+   member?(14,a)
+       true
+
+
+See Also:
+o )show Stack
+o )show ArrayStack
+o )show Queue
+o )show Dequeue
+o )show Heap
+o )show BagAggregate
+
+@
 \pagehead{Dequeue}{DEQUEUE}
 \pagepic{ps/v103dequeue.ps}{DEQUEUE}{1.00}
 {\bf See}\\
@@ -18711,18 +19590,222 @@ DenavitHartenbergMatrix(R): Exports == Implementation where
 --% Dequeue and Heap data types
  
 Dequeue(S:SetCategory): DequeueAggregate S with
-     dequeue: List S -> %
-       ++ dequeue([x,y,...,z]) creates a dequeue with first (top or front)
-       ++ element x, second element y,...,and last (bottom or back) element z.
-       ++
-       ++E g:Dequeue INT:= dequeue [1,2,3,4,5]
+    dequeue: List S -> %
+      ++ dequeue([x,y,...,z]) creates a dequeue with first (top or front)
+      ++ element x, second element y,...,and last (bottom or back) element z.
+      ++
+      ++E g:Dequeue INT:= dequeue [1,2,3,4,5]
+
+ -- Inherited Signatures repeated for examples documentation
+
+    dequeue_! : % -> S
+      ++
+      ++X a:Dequeue INT:= dequeue [1,2,3,4,5]
+      ++X dequeue! a
+      ++X a
+    extract_! : % -> S
+      ++
+      ++X a:Dequeue INT:= dequeue [1,2,3,4,5]
+      ++X extract! a
+      ++X a
+    enqueue_! : (S,%) -> S
+      ++
+      ++X a:Dequeue INT:= dequeue [1,2,3,4,5]
+      ++X enqueue! (9,a)
+      ++X a
+    insert_! : (S,%) -> %
+      ++
+      ++X a:Dequeue INT:= dequeue [1,2,3,4,5]
+      ++X insert! (8,a)
+      ++X a
+    inspect : % -> S
+      ++
+      ++X a:Dequeue INT:= dequeue [1,2,3,4,5]
+      ++X inspect a
+    front : % -> S
+      ++
+      ++X a:Dequeue INT:= dequeue [1,2,3,4,5]
+      ++X front a
+    back : % -> S
+      ++
+      ++X a:Dequeue INT:= dequeue [1,2,3,4,5]
+      ++X back a
+    rotate_! : % -> %
+      ++
+      ++X a:Dequeue INT:= dequeue [1,2,3,4,5]
+      ++X rotate! a
+    length : % -> NonNegativeInteger
+      ++
+      ++X a:Dequeue INT:= dequeue [1,2,3,4,5]
+      ++X length a
+    less? : (%,NonNegativeInteger) -> Boolean
+      ++
+      ++X a:Dequeue INT:= dequeue [1,2,3,4,5]
+      ++X less?(a,9)
+    more? : (%,NonNegativeInteger) -> Boolean
+      ++
+      ++X a:Dequeue INT:= dequeue [1,2,3,4,5]
+      ++X more?(a,9)
+    size? : (%,NonNegativeInteger) -> Boolean
+      ++
+      ++X a:Dequeue INT:= dequeue [1,2,3,4,5]
+      ++X size?(a,5)
+    bag : List S -> %
+      ++
+      ++X bag([1,2,3,4,5])$Dequeue(INT)
+    empty? : % -> Boolean
+      ++
+      ++X a:Dequeue INT:= dequeue [1,2,3,4,5]
+      ++X empty? a
+    empty : () -> %
+      ++
+      ++X b:=empty()$(Dequeue INT)
+    sample : () -> %
+      ++
+      ++X sample()$Dequeue(INT)
+    copy : % -> %
+      ++
+      ++X a:Dequeue INT:= dequeue [1,2,3,4,5]
+      ++X copy a
+    eq? : (%,%) -> Boolean
+      ++
+      ++X a:Dequeue INT:= dequeue [1,2,3,4,5]
+      ++X b:=copy a
+      ++X eq?(a,b)
+    map :  ((S -> S),%) -> %
+      ++
+      ++X a:Dequeue INT:= dequeue [1,2,3,4,5]
+      ++X map(x+->x+10,a)
+      ++X a
+    depth : % -> NonNegativeInteger       
+      ++
+      ++X a:Dequeue INT:= dequeue [1,2,3,4,5]
+      ++X depth a
+    dequeue : () -> %                     
+      ++
+      ++X a:Dequeue INT:= dequeue ()
+    height : % -> NonNegativeInteger      
+      ++
+      ++X a:Dequeue INT:= dequeue [1,2,3,4,5]
+      ++X height a
+    top : % -> S                         
+      ++
+      ++X a:Dequeue INT:= dequeue [1,2,3,4,5]
+      ++X top a
+    bottom_! : % -> S
+      ++
+      ++X a:Dequeue INT:= dequeue [1,2,3,4,5]
+      ++X bottom! a
+      ++X a
+    extractBottom_! : % -> S
+      ++
+      ++X a:Dequeue INT:= dequeue [1,2,3,4,5]
+      ++X extractBottom! a
+      ++X a
+    extractTop_! : % -> S 
+      ++
+      ++X a:Dequeue INT:= dequeue [1,2,3,4,5]
+      ++X extractTop! a
+      ++X a
+    insertBottom_! : (S,%) -> S           
+      ++
+      ++X a:Dequeue INT:= dequeue [1,2,3,4,5]
+      ++X insertBottom! a
+      ++X a
+    insertTop_! : (S,%) -> S
+      ++
+      ++X a:Dequeue INT:= dequeue [1,2,3,4,5]
+      ++X insertTop! a
+      ++X a
+    pop_! : % -> S
+      ++
+      ++X a:Dequeue INT:= dequeue [1,2,3,4,5]
+      ++X pop! a
+      ++X a
+    push_! : (S,%) -> S                   
+      ++
+      ++X a:Dequeue INT:= dequeue [1,2,3,4,5]
+      ++X push! a
+      ++X a
+    reverse_! : % -> %
+      ++
+      ++X a:Dequeue INT:= dequeue [1,2,3,4,5]
+      ++X reverse! a
+      ++X a
+    top_! : % -> S
+      ++
+      ++X a:Dequeue INT:= dequeue [1,2,3,4,5]
+      ++X top! a
+      ++X a
+    if $ has shallowlyMutable then
+      map! :  ((S -> S),%) -> %
+        ++
+        ++X a:Dequeue INT:= dequeue [1,2,3,4,5]
+        ++X map!(x+->x+10,a)
+        ++X a
+    if S has SetCategory then
+      latex : % -> String
+        ++
+        ++X a:Dequeue INT:= dequeue [1,2,3,4,5]
+        ++X latex a
+      hash : % -> SingleInteger
+        ++
+        ++X a:Dequeue INT:= dequeue [1,2,3,4,5]
+        ++X hash a
+      coerce : % -> OutputForm
+        ++
+        ++X a:Dequeue INT:= dequeue [1,2,3,4,5]
+        ++X coerce a
+      "=": (%,%) -> Boolean
+        ++
+        ++X a:Dequeue INT:= dequeue [1,2,3,4,5]
+        ++X b:Dequeue INT:= dequeue [1,2,3,4,5]
+        ++X (a=b)@Boolean
+      "~=" : (%,%) -> Boolean
+        ++
+        ++X a:Dequeue INT:= dequeue [1,2,3,4,5]
+        ++X b:=copy a
+        ++X (a~=b)
+    if % has finiteAggregate then
+      every? : ((S -> Boolean),%) -> Boolean
+        ++
+        ++X a:Dequeue INT:= dequeue [1,2,3,4,5]
+        ++X every?(x+->(x=4),a)
+      any? : ((S -> Boolean),%) -> Boolean
+        ++
+        ++X a:Dequeue INT:= dequeue [1,2,3,4,5]
+        ++X any?(x+->(x=4),a)
+      count :  ((S -> Boolean),%) -> NonNegativeInteger
+        ++
+        ++X a:Dequeue INT:= dequeue [1,2,3,4,5]
+        ++X count(x+->(x>2),a)
+      _# : % -> NonNegativeInteger
+        ++
+        ++X a:Dequeue INT:= dequeue [1,2,3,4,5]
+        ++X #a
+      parts : % -> List S
+        ++
+        ++X a:Dequeue INT:= dequeue [1,2,3,4,5]
+        ++X parts a
+      members : % -> List S
+        ++
+        ++X a:Dequeue INT:= dequeue [1,2,3,4,5]
+        ++X members a
+    if % has finiteAggregate and S has SetCategory then
+      member? : (S,%) -> Boolean
+        ++
+        ++X a:Dequeue INT:= dequeue [1,2,3,4,5]
+        ++X member?(3,a)
+      count : (S,%) -> NonNegativeInteger
+        ++
+        ++X a:Dequeue INT:= dequeue [1,2,3,4,5]
+        ++X count(4,a)
 
   == Queue S add
     Rep := Reference List S
-    bottom_! d ==
-         if empty? d then error "empty dequeue" else last deref d
+    bottom! d == extractBottom! d
     dequeue d == ref copy d
-    extractBottom_! d ==
+    extractBottom! d ==
         if empty? d then error "empty dequeue"
         p := deref d
         n := maxIndex p
@@ -18734,19 +19817,22 @@ Dequeue(S:SetCategory): DequeueAggregate S with
         r := first rest q
         q.rest := []
         r
-    extractTop_! d ==
+    top! d == extractTop! d
+    extractTop! d ==
+        if empty? d then error "empty dequeue"
         e := top d
         setref(d,rest deref d)
         e
     height d == # deref d
-    insertTop_!(e,d) == (setref(d,cons(e,deref d)); e)
+    depth d == # deref d
+    insertTop!(e,d) == (setref(d,cons(e,deref d)); e)
     lastTail==> LAST$Lisp
-    insertBottom_!(e,d) ==
+    insertBottom!(e,d) ==
         if empty? d then setref(d, list e)
         else lastTail.(deref d).rest := list e
         e
     top d == if empty? d then error "empty dequeue" else first deref d
-    reverse_! d == (setref(d,reverse deref d); d)
+    reverse! d == (setref(d,reverse deref d); d)
 
 @
 <<DEQUEUE.dotabb>>=
diff --git a/changelog b/changelog
index 1bc3146..ec8432f 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,6 @@
+20090224 tpd src/axiom-website/patches.html 20090224.01.tpd.patch
+20090224 tpd src/interp/Makefile add regression, help for Dequeue
+20090224 tpd books/bookvol10.3 add regression, help, examples for Dequeue
 20090223 tpd src/axiom-website/patches.html 20090223.01.tpd.patch
 20090223 tpd src/interp/Makefile add regression, help for Queue
 20090223 tpd books/bookvol10.3 add regression, help, examples for Queue
diff --git a/src/algebra/Makefile.pamphlet b/src/algebra/Makefile.pamphlet
index c0ad0df..bcf1252 100644
--- a/src/algebra/Makefile.pamphlet
+++ b/src/algebra/Makefile.pamphlet
@@ -16419,7 +16419,8 @@ SPADHELP=\
  ${HELP}/CharacterClass.help         ${HELP}/CliffordAlgebra.help \
  ${HELP}/Complex.help                ${HELP}/ContinuedFraction.help \
  ${HELP}/CycleIndicators.help        ${HELP}/DeRhamComplex.help \
- ${HELP}/DecimalExpansion.help       ${HELP}/DoubleFloat.help \
+ ${HELP}/DecimalExpansion.help       ${HELP}/Dequeue.help \
+ ${HELP}/DoubleFloat.help \
  ${HELP}/EqTable.help                ${HELP}/Equation.help \
  ${HELP}/Expression.help \
  ${HELP}/DistributedMultivariatePolynomial.help \
@@ -16489,7 +16490,8 @@ REGRESS=\
  CharacterClass.regress         CliffordAlgebra.regress \
  Complex.regress                ContinuedFraction.regress \
  CycleIndicators.regress        DeRhamComplex.regress \
- DecimalExpansion.regress       DoubleFloat.regress \
+ DecimalExpansion.regress       Dequeue.regress \
+ DoubleFloat.regress \
  DistributedMultivariatePolynomial.regress \
  EqTable.regress                Equation.regress \
  Expression.regress \
@@ -16565,7 +16567,7 @@ all: ${REGRESS}
 @
 <<spadhelp>>=
 ${HELP}/ArrayStack.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7078 create ArrayStack.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 7000 create ArrayStack.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"ArrayStack.help" ${BOOKS}/bookvol10.3.pamphlet \
            >${HELP}/ArrayStack.help
 	@cp ${HELP}/ArrayStack.help ${HELP}/ASTACK.help
@@ -16574,7 +16576,7 @@ ${HELP}/ArrayStack.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "ArrayStack (ASTACK)" >>${HELPFILE}
 
 ${HELP}/AssociationList.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7000 create AssociationList.help from \
+	@echo 7001 create AssociationList.help from \
            ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"AssociationList.help" ${BOOKS}/bookvol10.3.pamphlet \
             >${HELP}/AssociationList.help
@@ -16584,7 +16586,7 @@ ${HELP}/AssociationList.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "AssociationList (ALIST)" >>${HELPFILE}
 
 ${HELP}/BalancedBinaryTree.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7001 create BalancedBinaryTree.help from \
+	@echo 7002 create BalancedBinaryTree.help from \
             ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"BalancedBinaryTree.help" ${BOOKS}/bookvol10.3.pamphlet \
             >${HELP}/BalancedBinaryTree.help
@@ -16594,7 +16596,7 @@ ${HELP}/BalancedBinaryTree.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "BalancedBinaryTree (BBTREE)" >>${HELPFILE}
 
 ${HELP}/BasicOperator.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7002 create BasicOperator.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 7003 create BasicOperator.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"BasicOperator.help" ${BOOKS}/bookvol10.3.pamphlet \
             >${HELP}/BasicOperator.help
 	@cp ${HELP}/BasicOperator.help ${HELP}/BOP.help
@@ -16603,7 +16605,7 @@ ${HELP}/BasicOperator.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "BasicOperator (BOP)" >>${HELPFILE}
 
 ${HELP}/BinaryExpansion.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7003 create BinaryExpansion.help from \
+	@echo 7004 create BinaryExpansion.help from \
             ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"BinaryExpansion.help" ${BOOKS}/bookvol10.3.pamphlet \
             >${HELP}/BinaryExpansion.help
@@ -16613,7 +16615,7 @@ ${HELP}/BinaryExpansion.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "BinaryExpansion (BINARY)" >>${HELPFILE}
 
 ${HELP}/BinarySearchTree.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7004 create BinarySearchTree.help from \
+	@echo 7005 create BinarySearchTree.help from \
             ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"BinarySearchTree.help" ${BOOKS}/bookvol10.3.pamphlet \
             >${HELP}/BinarySearchTree.help
@@ -16623,7 +16625,7 @@ ${HELP}/BinarySearchTree.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "BinarySearchTree (BSTREE)" >>${HELPFILE}
 
 ${HELP}/CardinalNumber.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7005 create CardinalNumber.help from \
+	@echo 7006 create CardinalNumber.help from \
                 ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"CardinalNumber.help" ${BOOKS}/bookvol10.3.pamphlet \
             >${HELP}/CardinalNumber.help
@@ -16633,7 +16635,7 @@ ${HELP}/CardinalNumber.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "CardinalNumber (CARD)" >>${HELPFILE}
 
 ${HELP}/CartesianTensor.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7006 create CartesianTensor.help from \
+	@echo 7007 create CartesianTensor.help from \
              ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"CartesianTensor.help" ${BOOKS}/bookvol10.3.pamphlet \
             >${HELP}/CartesianTensor.help
@@ -16643,7 +16645,7 @@ ${HELP}/CartesianTensor.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "CartesianTensor (CARTEN)" >>${HELPFILE}
 
 ${HELP}/Character.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7007 create Character.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 7008 create Character.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Character.help" ${BOOKS}/bookvol10.3.pamphlet \
             >${HELP}/Character.help
 	@cp ${HELP}/Character.help ${HELP}/CHAR.help
@@ -16652,7 +16654,7 @@ ${HELP}/Character.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "Character (CHAR)" >>${HELPFILE}
 
 ${HELP}/CharacterClass.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7008 create CharacterClass.help from \
+	@echo 7009 create CharacterClass.help from \
            ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"CharacterClass.help" ${BOOKS}/bookvol10.3.pamphlet \
             >${HELP}/CharacterClass.help
@@ -16662,7 +16664,7 @@ ${HELP}/CharacterClass.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "CharacterClass (CCLASS)" >>${HELPFILE}
 
 ${HELP}/CliffordAlgebra.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7009 create CliffordAlgebra.help from \
+	@echo 7010 create CliffordAlgebra.help from \
           ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"CliffordAlgebra.help" ${BOOKS}/bookvol10.3.pamphlet \
             >${HELP}/CliffordAlgebra.help
@@ -16672,7 +16674,7 @@ ${HELP}/CliffordAlgebra.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "CliffordAlgebra (CLIF)" >>${HELPFILE}
 
 ${HELP}/Complex.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7010 create Complex.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 7011 create Complex.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Complex.help" ${BOOKS}/bookvol10.3.pamphlet \
             >${HELP}/Complex.help
 	@-cp ${HELP}/Complex.help ${HELP}/COMPLEX.help
@@ -16681,7 +16683,7 @@ ${HELP}/Complex.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "Complex (COMPLEX)" >>${HELPFILE}
 
 ${HELP}/ContinuedFraction.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7011 create ContinuedFraction.help from \
+	@echo 7012 create ContinuedFraction.help from \
             ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"ContinuedFraction.help" ${BOOKS}/bookvol10.3.pamphlet \
             >${HELP}/ContinuedFraction.help
@@ -16691,7 +16693,7 @@ ${HELP}/ContinuedFraction.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "ContinuedFraction (CONTFRAC)" >>${HELPFILE}
 
 ${HELP}/CycleIndicators.help: ${BOOKS}/bookvol10.4.pamphlet
-	@echo 7012 create CycleIndicators.help from \
+	@echo 7013 create CycleIndicators.help from \
             ${BOOKS}/bookvol10.4.pamphlet
 	@${TANGLE} -R"CycleIndicators.help" ${BOOKS}/bookvol10.4.pamphlet \
             >${HELP}/CycleIndicators.help
@@ -16701,7 +16703,7 @@ ${HELP}/CycleIndicators.help: ${BOOKS}/bookvol10.4.pamphlet
 	@echo "CycleIndicators (CYCLES)" >>${HELPFILE}
 
 ${HELP}/DeRhamComplex.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7013 create DeRhamComplex.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 7014 create DeRhamComplex.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"DeRhamComplex.help" ${BOOKS}/bookvol10.3.pamphlet \
             >${HELP}/DeRhamComplex.help
 	@cp ${HELP}/DeRhamComplex.help ${HELP}/DERHAM.help
@@ -16710,7 +16712,7 @@ ${HELP}/DeRhamComplex.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "DeRhamComplex (DERHAM)" >>${HELPFILE}
 
 ${HELP}/DecimalExpansion.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7014 create DecimalExpansion.help from \
+	@echo 7015 create DecimalExpansion.help from \
             ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"DecimalExpansion.help" ${BOOKS}/bookvol10.3.pamphlet \
             >${HELP}/DecimalExpansion.help
@@ -16719,9 +16721,18 @@ ${HELP}/DecimalExpansion.help: ${BOOKS}/bookvol10.3.pamphlet
             >${INPUT}/DecimalExpansion.input
 	@echo "DecimalExpansion (DECIMAL)" >>${HELPFILE}
 
+${HELP}/Dequeue.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 7016 create Dequeue.help from ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"Dequeue.help" ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/Dequeue.help
+	@-cp ${HELP}/Dequeue.help ${HELP}/DEQUEUE.help
+	@${TANGLE} -R"Dequeue.input" ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/Dequeue.input
+	@echo "Dequeue (DEQUEUE)" >>${HELPFILE}
+
 ${HELP}/DistributedMultivariatePolynomial.help: \
             ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7015 create DistributedMultivariatePolynomial.help \
+	@echo 7017 create DistributedMultivariatePolynomial.help \
             from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"DistributedMultivariatePolynomial.help" \
            ${BOOKS}/bookvol10.3.pamphlet \
@@ -16733,7 +16744,7 @@ ${HELP}/DistributedMultivariatePolynomial.help: \
 	@echo "DistributedMultivariatePolynomial (DMP)" >>${HELPFILE}
 
 ${HELP}/DoubleFloat.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7016 create DoubleFloat.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 7018 create DoubleFloat.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"DoubleFloat.help" ${BOOKS}/bookvol10.3.pamphlet \
             >${HELP}/DoubleFloat.help
 	@cp ${HELP}/DoubleFloat.help ${HELP}/DFLOAT.help
@@ -16742,7 +16753,7 @@ ${HELP}/DoubleFloat.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "DoubleFloat (DFLOAT)" >>${HELPFILE}
 
 ${HELP}/EqTable.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7017 create EqTable.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 7019 create EqTable.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"EqTable.help" ${BOOKS}/bookvol10.3.pamphlet \
             >${HELP}/EqTable.help
 	@cp ${HELP}/EqTable.help ${HELP}/EQTBL.help
@@ -16751,7 +16762,7 @@ ${HELP}/EqTable.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "EqTable (EQTBL)" >>${HELPFILE}
 
 ${HELP}/Equation.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7018 create Equation.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 7020 create Equation.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Equation.help" ${BOOKS}/bookvol10.3.pamphlet \
             >${HELP}/Equation.help
 	@cp ${HELP}/Equation.help ${HELP}/EQ.help
@@ -16760,7 +16771,7 @@ ${HELP}/Equation.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "Equation (EQ)" >>${HELPFILE}
 
 ${HELP}/EuclideanGroebnerBasisPackage.help: ${BOOKS}/bookvol10.4.pamphlet
-	@echo 7020 create EuclideanGroebnerBasisPackage.help from \
+	@echo 7021 create EuclideanGroebnerBasisPackage.help from \
             ${BOOKS}/bookvol10.4.pamphlet
 	@${TANGLE} -R"EuclideanGroebnerBasisPackage.help" \
             ${BOOKS}/bookvol10.4.pamphlet \
@@ -16772,7 +16783,7 @@ ${HELP}/EuclideanGroebnerBasisPackage.help: ${BOOKS}/bookvol10.4.pamphlet
 	@echo "EuclideanGroebnerBasisPackage (GBEUCLID)" >>${HELPFILE}
 
 ${HELP}/Expression.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7018 create Expression.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 7022 create Expression.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Expression.help" ${BOOKS}/bookvol10.3.pamphlet \
             >${HELP}/Expression.help
 	@cp ${HELP}/Expression.help ${HELP}/EXPR.help
@@ -16781,7 +16792,7 @@ ${HELP}/Expression.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "Expression (EXPR)" >>${HELPFILE}
 
 ${HELP}/Factored.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7019 create Factored.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 7023 create Factored.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Factored.help" ${BOOKS}/bookvol10.3.pamphlet \
             >${HELP}/Factored.help
 	@cp ${HELP}/Factored.help ${HELP}/FR.help
@@ -16790,7 +16801,7 @@ ${HELP}/Factored.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "Factored (FR)" >>${HELPFILE}
 
 ${HELP}/FactoredFunctions2.help: ${BOOKS}/bookvol10.4.pamphlet
-	@echo 7020 create FactoredFunctions2.help from \
+	@echo 7024 create FactoredFunctions2.help from \
             ${BOOKS}/bookvol10.4.pamphlet
 	@${TANGLE} -R"FactoredFunctions2.help" ${BOOKS}/bookvol10.4.pamphlet \
             >${HELP}/FactoredFunctions2.help
@@ -16800,7 +16811,7 @@ ${HELP}/FactoredFunctions2.help: ${BOOKS}/bookvol10.4.pamphlet
 	@echo "FactoredFunctions2 (FR2)" >>${HELPFILE}
 
 ${HELP}/File.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7021 create File.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 7025 create File.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"File.help" ${BOOKS}/bookvol10.3.pamphlet \
            >${HELP}/File.help
 	@-cp ${HELP}/File.help ${HELP}/FILE.help
@@ -16809,7 +16820,7 @@ ${HELP}/File.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "File (FILE)" >>${HELPFILE}
 
 ${HELP}/FileName.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7022 create FileName.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 7026 create FileName.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"FileName.help" ${BOOKS}/bookvol10.3.pamphlet \
            >${HELP}/FileName.help
 	@cp ${HELP}/FileName.help ${HELP}/FNAME.help
@@ -16818,7 +16829,7 @@ ${HELP}/FileName.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "FileName (FNAME)" >>${HELPFILE}
 
 ${HELP}/FlexibleArray.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7023 create FlexibleArray.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 7027 create FlexibleArray.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"FlexibleArray.help" ${BOOKS}/bookvol10.3.pamphlet \
            >${HELP}/FlexibleArray.help
 	@cp ${HELP}/FlexibleArray.help ${HELP}/FARRAY.help
@@ -16827,7 +16838,7 @@ ${HELP}/FlexibleArray.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "FlexibleArray (FARRAY)" >>${HELPFILE}
 
 ${HELP}/Float.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7024 create Float.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 7028 create Float.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Float.help" ${BOOKS}/bookvol10.3.pamphlet \
            >${HELP}/Float.help
 	@-cp ${HELP}/Float.help ${HELP}/FLOAT.help
@@ -16836,7 +16847,7 @@ ${HELP}/Float.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "Float (FLOAT)" >>${HELPFILE}
 
 ${HELP}/Fraction.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7025 create Fraction.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 7029 create Fraction.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Fraction.help" ${BOOKS}/bookvol10.3.pamphlet \
             >${HELP}/Fraction.help
 	@cp ${HELP}/Fraction.help ${HELP}/FRAC.help
@@ -16845,7 +16856,7 @@ ${HELP}/Fraction.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "Fraction (FRAC)" >>${HELPFILE}
 
 ${HELP}/FullPartialFractionExpansion.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7026 create FullPartialFractionExpansion.help from \
+	@echo 7030 create FullPartialFractionExpansion.help from \
             ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"FullPartialFractionExpansion.help" \
             ${BOOKS}/bookvol10.3.pamphlet \
@@ -16858,7 +16869,7 @@ ${HELP}/FullPartialFractionExpansion.help: ${BOOKS}/bookvol10.3.pamphlet
 
 ${HELP}/GeneralDistributedMultivariatePolynomial.help: \
             ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7027 create GeneralDistributedMultivariatePolynomial.help \
+	@echo 7031 create GeneralDistributedMultivariatePolynomial.help \
             from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"GeneralDistributedMultivariatePolynomial.help" \
            ${BOOKS}/bookvol10.3.pamphlet \
@@ -16871,7 +16882,7 @@ ${HELP}/GeneralDistributedMultivariatePolynomial.help: \
 	@echo "GeneralDistributedMultivariatePolynomial (GDMP)" >>${HELPFILE}
 
 ${HELP}/GeneralSparseTable.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7028 create GeneralSparseTable.help from \
+	@echo 7032 create GeneralSparseTable.help from \
             ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"GeneralSparseTable.help" ${BOOKS}/bookvol10.3.pamphlet \
             >${HELP}/GeneralSparseTable.help
@@ -16881,7 +16892,7 @@ ${HELP}/GeneralSparseTable.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "GeneralSparseTable (GSTBL)" >>${HELPFILE}
 
 ${HELP}/GroebnerFactorizationPackage.help: ${BOOKS}/bookvol10.4.pamphlet
-	@echo 7029 create GroebnerFactorizationPackage.help \
+	@echo 7033 create GroebnerFactorizationPackage.help \
             from ${BOOKS}/bookvol10.4.pamphlet
 	@${TANGLE} -R"GroebnerFactorizationPackage.help" \
            ${BOOKS}/bookvol10.4.pamphlet \
@@ -16893,7 +16904,7 @@ ${HELP}/GroebnerFactorizationPackage.help: ${BOOKS}/bookvol10.4.pamphlet
 	@echo "GroebnerFactorizationPackage (GBF)" >>${HELPFILE}
 
 ${HELP}/GroebnerPackage.help: ${BOOKS}/bookvol10.4.pamphlet
-	@echo 7020 create GroebnerPackage.help from \
+	@echo 7034 create GroebnerPackage.help from \
             ${BOOKS}/bookvol10.4.pamphlet
 	@${TANGLE} -R"GroebnerPackage.help" ${BOOKS}/bookvol10.4.pamphlet \
             >${HELP}/GroebnerPackage.help
@@ -16903,7 +16914,7 @@ ${HELP}/GroebnerPackage.help: ${BOOKS}/bookvol10.4.pamphlet
 	@echo "GroebnerPackage (GB)" >>${HELPFILE}
 
 ${HELP}/Heap.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7030 create Heap.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 7035 create Heap.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Heap.help" ${BOOKS}/bookvol10.3.pamphlet \
              >${HELP}/Heap.help
 	@-cp ${HELP}/Heap.help ${HELP}/HEAP.help
@@ -16912,7 +16923,7 @@ ${HELP}/Heap.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "Heap (HEAP)" >>${HELPFILE}
 
 ${HELP}/HexadecimalExpansion.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7031 create HexadecimalExpansion.help \
+	@echo 7036 create HexadecimalExpansion.help \
             from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"HexadecimalExpansion.help" \
            ${BOOKS}/bookvol10.3.pamphlet \
@@ -16924,7 +16935,7 @@ ${HELP}/HexadecimalExpansion.help: ${BOOKS}/bookvol10.3.pamphlet
 
 ${HELP}/HomogeneousDistributedMultivariatePolynomial.help: \
             ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7032 create HomogeneousDistributedMultivariatePolynomial.help \
+	@echo 7037 create HomogeneousDistributedMultivariatePolynomial.help \
             from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"HomogeneousDistributedMultivariatePolynomial.help" \
            ${BOOKS}/bookvol10.3.pamphlet \
@@ -16938,7 +16949,7 @@ ${HELP}/HomogeneousDistributedMultivariatePolynomial.help: \
             >>${HELPFILE}
 
 ${HELP}/Integer.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7033 create Integer.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 7038 create Integer.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Integer.help" ${BOOKS}/bookvol10.3.pamphlet \
            >${HELP}/Integer.help
 	@cp ${HELP}/Integer.help ${HELP}/INT.help
@@ -16947,7 +16958,7 @@ ${HELP}/Integer.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "Integer (INT)" >>${HELPFILE}
 
 ${HELP}/IntegerLinearDependence.help: ${BOOKS}/bookvol10.4.pamphlet
-	@echo 7034 create IntegerLinearDependence.help from \
+	@echo 7039 create IntegerLinearDependence.help from \
            ${BOOKS}/bookvol10.4.pamphlet
 	@${TANGLE} -R"IntegerLinearDependence.help" \
            ${BOOKS}/bookvol10.4.pamphlet \
@@ -16959,7 +16970,7 @@ ${HELP}/IntegerLinearDependence.help: ${BOOKS}/bookvol10.4.pamphlet
 	@echo "IntegerLinearDependence (ZLINDEP)" >>${HELPFILE}
 
 ${HELP}/IntegerNumberTheoryFunctions.help: ${BOOKS}/bookvol10.4.pamphlet
-	@echo 7035 create IntegerNumberTheoryFunctions.help \
+	@echo 7040 create IntegerNumberTheoryFunctions.help \
             from ${BOOKS}/bookvol10.4.pamphlet
 	@${TANGLE} -R"IntegerNumberTheoryFunctions.help" \
            ${BOOKS}/bookvol10.4.pamphlet \
@@ -16972,7 +16983,7 @@ ${HELP}/IntegerNumberTheoryFunctions.help: ${BOOKS}/bookvol10.4.pamphlet
 	@echo "IntegerNumberTheoryFunctions (INTHEORY)" >>${HELPFILE}
 
 ${HELP}/Kernel.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7036 create Kernel.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 7041 create Kernel.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Kernel.help" ${BOOKS}/bookvol10.3.pamphlet \
            >${HELP}/Kernel.help
 	@-cp ${HELP}/Kernel.help ${HELP}/KERNEL.help
@@ -16981,7 +16992,7 @@ ${HELP}/Kernel.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "Kernel (KERNEL)" >>${HELPFILE}
 
 ${HELP}/KeyedAccessFile.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7037 create KeyedAccessFile.help from \
+	@echo 7042 create KeyedAccessFile.help from \
               ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"KeyedAccessFile.help" ${BOOKS}/bookvol10.3.pamphlet \
            >${HELP}/KeyedAccessFile.help
@@ -16991,7 +17002,7 @@ ${HELP}/KeyedAccessFile.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "KeyedAccessFile (KAFILE)" >>${HELPFILE}
 
 ${HELP}/LexTriangularPackage.help: ${BOOKS}/bookvol10.4.pamphlet
-	@echo 7038 create LexTriangularPackage.help from \
+	@echo 7043 create LexTriangularPackage.help from \
            ${BOOKS}/bookvol10.4.pamphlet
 	@${TANGLE} -R"LexTriangularPackage.help" \
            ${BOOKS}/bookvol10.4.pamphlet \
@@ -17003,7 +17014,7 @@ ${HELP}/LexTriangularPackage.help: ${BOOKS}/bookvol10.4.pamphlet
 	@echo "LexTriangularPackage (LEXTRIPK)" >>${HELPFILE}
 
 ${HELP}/Library.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7039 create Library.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 7044 create Library.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Library.help" ${BOOKS}/bookvol10.3.pamphlet \
            >${HELP}/Library.help
 	@cp ${HELP}/Library.help ${HELP}/LIB.help
@@ -17012,7 +17023,7 @@ ${HELP}/Library.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "Library (LIB)" >>${HELPFILE}
 
 ${HELP}/LieExponentials.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7040 create LieExponentials.help from \
+	@echo 7045 create LieExponentials.help from \
            ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"LieExponentials.help" \
            ${BOOKS}/bookvol10.3.pamphlet \
@@ -17024,7 +17035,7 @@ ${HELP}/LieExponentials.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "LieExponentials (LEXP)" >>${HELPFILE}
 
 ${HELP}/LiePolynomial.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7041 create LiePolynomial.help from \
+	@echo 7046 create LiePolynomial.help from \
            ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"LiePolynomial.help" \
            ${BOOKS}/bookvol10.3.pamphlet \
@@ -17036,7 +17047,7 @@ ${HELP}/LiePolynomial.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "LiePolynomial (LPOLY)" >>${HELPFILE}
 
 ${HELP}/LinearOrdinaryDifferentialOperator.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7042 create LinearOrdinaryDifferentialOperator.help \
+	@echo 7047 create LinearOrdinaryDifferentialOperator.help \
            from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"LinearOrdinaryDifferentialOperator.help" \
           ${BOOKS}/bookvol10.3.pamphlet \
@@ -17049,7 +17060,7 @@ ${HELP}/LinearOrdinaryDifferentialOperator.help: ${BOOKS}/bookvol10.3.pamphlet
 
 ${HELP}/LinearOrdinaryDifferentialOperator1.help: \
       ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7043 create LinearOrdinaryDifferentialOperator1.help \
+	@echo 7048 create LinearOrdinaryDifferentialOperator1.help \
            from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"LinearOrdinaryDifferentialOperator1.help" \
           ${BOOKS}/bookvol10.3.pamphlet \
@@ -17062,7 +17073,7 @@ ${HELP}/LinearOrdinaryDifferentialOperator1.help: \
 
 ${HELP}/LinearOrdinaryDifferentialOperator2.help: \
      ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7044 create LinearOrdinaryDifferentialOperator2.help \
+	@echo 7049 create LinearOrdinaryDifferentialOperator2.help \
            from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"LinearOrdinaryDifferentialOperator2.help" \
           ${BOOKS}/bookvol10.3.pamphlet \
@@ -17074,7 +17085,7 @@ ${HELP}/LinearOrdinaryDifferentialOperator2.help: \
 	@echo "LinearOrdinaryDifferentialOperator2 (LODO2)" >>${HELPFILE}
 
 ${HELP}/List.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7045 create List.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 7050 create List.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"List.help" ${BOOKS}/bookvol10.3.pamphlet \
            >${HELP}/List.help
 	@-cp ${HELP}/List.help ${HELP}/LIST.help
@@ -17083,7 +17094,7 @@ ${HELP}/List.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "List (LIST)" >>${HELPFILE}
 
 ${HELP}/LyndonWord.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7046 create LyndonWord.help from \
+	@echo 7051 create LyndonWord.help from \
             ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"LyndonWord.help" \
             ${BOOKS}/bookvol10.3.pamphlet \
@@ -17095,7 +17106,7 @@ ${HELP}/LyndonWord.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "LyndonWord (LWORD)" >>${HELPFILE}
 
 ${HELP}/Magma.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7047 create Magma.help from \
+	@echo 7052 create Magma.help from \
             ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Magma.help" \
             ${BOOKS}/bookvol10.3.pamphlet \
@@ -17107,7 +17118,7 @@ ${HELP}/Magma.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "Magma (MAGMA)" >>${HELPFILE}
 
 ${HELP}/MakeFunction.help: ${BOOKS}/bookvol10.4.pamphlet
-	@echo 7048 create MakeFunction.help from ${BOOKS}/bookvol10.4.pamphlet
+	@echo 7053 create MakeFunction.help from ${BOOKS}/bookvol10.4.pamphlet
 	@${TANGLE} -R"MakeFunction.help" ${BOOKS}/bookvol10.4.pamphlet \
            >${HELP}/MakeFunction.help
 	@cp ${HELP}/MakeFunction.help ${HELP}/MKFUNC.help
@@ -17116,7 +17127,7 @@ ${HELP}/MakeFunction.help: ${BOOKS}/bookvol10.4.pamphlet
 	@echo "MakeFunction (MKFUNC)" >>${HELPFILE}
 
 ${HELP}/MappingPackage1.help: ${BOOKS}/bookvol10.4.pamphlet
-	@echo 7049 create MappingPackage1.help from \
+	@echo 7054 create MappingPackage1.help from \
            ${BOOKS}/bookvol10.4.pamphlet
 	@${TANGLE} -R"MappingPackage1.help" ${BOOKS}/bookvol10.4.pamphlet \
            >${HELP}/MappingPackage1.help
@@ -17126,7 +17137,7 @@ ${HELP}/MappingPackage1.help: ${BOOKS}/bookvol10.4.pamphlet
 	@echo "MappingPackage1 (MAPPKG1)" >>${HELPFILE}
 
 ${HELP}/MappingPackage2.help: ${BOOKS}/bookvol10.4.pamphlet
-	@echo 7050 create MappingPackage2.help from \
+	@echo 7055 create MappingPackage2.help from \
            ${BOOKS}/bookvol10.4.pamphlet
 	@${TANGLE} -R"MappingPackage2.help" ${BOOKS}/bookvol10.4.pamphlet \
            >${HELP}/MappingPackage2.help
@@ -17136,7 +17147,7 @@ ${HELP}/MappingPackage2.help: ${BOOKS}/bookvol10.4.pamphlet
 	@echo "MappingPackage2 (MAPPKG2)" >>${HELPFILE}
 
 ${HELP}/MappingPackage3.help: ${BOOKS}/bookvol10.4.pamphlet
-	@echo 7051 create MappingPackage3.help from \
+	@echo 7056 create MappingPackage3.help from \
            ${BOOKS}/bookvol10.4.pamphlet
 	@${TANGLE} -R"MappingPackage3.help" ${BOOKS}/bookvol10.4.pamphlet \
            >${HELP}/MappingPackage3.help
@@ -17146,7 +17157,7 @@ ${HELP}/MappingPackage3.help: ${BOOKS}/bookvol10.4.pamphlet
 	@echo "MappingPackage3 (MAPPKG3)" >>${HELPFILE}
 
 ${HELP}/Matrix.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7052 create Matrix.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 7057 create Matrix.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Matrix.help" ${BOOKS}/bookvol10.3.pamphlet \
            >${HELP}/Matrix.help
 	@-cp ${HELP}/Matrix.help ${HELP}/MATRIX.help
@@ -17155,7 +17166,7 @@ ${HELP}/Matrix.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "Matrix (MATRIX)" >>${HELPFILE}
 
 ${HELP}/Multiset.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7053 create Multiset.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 7058 create Multiset.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Multiset.help" ${BOOKS}/bookvol10.3.pamphlet \
            >${HELP}/Multiset.help
 	@cp ${HELP}/Multiset.help ${HELP}/MSET.help
@@ -17164,7 +17175,7 @@ ${HELP}/Multiset.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "Multiset (MSET)" >>${HELPFILE}
 
 ${HELP}/MultivariatePolynomial.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7054 create MultivariatePolynomial.help from \
+	@echo 7059 create MultivariatePolynomial.help from \
            ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"MultivariatePolynomial.help" \
            ${BOOKS}/bookvol10.3.pamphlet \
@@ -17176,7 +17187,7 @@ ${HELP}/MultivariatePolynomial.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "MultivariatePolynomial (MPOLY)" >>${HELPFILE}
 
 ${HELP}/None.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7055 create None.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 7060 create None.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"None.help" ${BOOKS}/bookvol10.3.pamphlet \
              >${HELP}/None.help
 	@-cp ${HELP}/None.help ${HELP}/NONE.help
@@ -17185,7 +17196,7 @@ ${HELP}/None.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "None (NONE)" >>${HELPFILE}
 
 ${HELP}/Octonion.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7056 create Octonion.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 7061 create Octonion.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Octonion.help" ${BOOKS}/bookvol10.3.pamphlet \
            >${HELP}/Octonion.help
 	@cp ${HELP}/Octonion.help ${HELP}/OCT.help
@@ -17194,7 +17205,7 @@ ${HELP}/Octonion.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "Octonion (OCT)" >>${HELPFILE}
 
 ${HELP}/OneDimensionalArray.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7057 create OneDimensionalArray.help from \
+	@echo 7062 create OneDimensionalArray.help from \
            ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"OneDimensionalArray.help" ${BOOKS}/bookvol10.3.pamphlet \
            >${HELP}/OneDimensionalArray.help
@@ -17205,7 +17216,7 @@ ${HELP}/OneDimensionalArray.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "OneDimensionalArray (ARRAY1)" >>${HELPFILE}
 
 ${HELP}/Operator.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7058 create Operator.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 7063 create Operator.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Operator.help" ${BOOKS}/bookvol10.3.pamphlet \
            >${HELP}/Operator.help
 	@cp ${HELP}/Operator.help ${HELP}/OP.help
@@ -17214,7 +17225,7 @@ ${HELP}/Operator.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "Operator (OP)" >>${HELPFILE}
 
 ${HELP}/OrderedVariableList.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7059 create OrderedVariableList.help from \
+	@echo 7064 create OrderedVariableList.help from \
            ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"OrderedVariableList.help" \
            ${BOOKS}/bookvol10.3.pamphlet \
@@ -17226,7 +17237,7 @@ ${HELP}/OrderedVariableList.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "OrderedVariableList (OVAR)" >>${HELPFILE}
 
 ${HELP}/OrderlyDifferentialPolynomial.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7060 create OrderlyDifferentialPolynomial.help from \
+	@echo 7065 create OrderlyDifferentialPolynomial.help from \
            ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"OrderlyDifferentialPolynomial.help" \
            ${BOOKS}/bookvol10.3.pamphlet \
@@ -17238,7 +17249,7 @@ ${HELP}/OrderlyDifferentialPolynomial.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "OrderlyDifferentialPolynomial (ODPOL)" >>${HELPFILE}
 
 ${HELP}/PartialFraction.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7061 create PartialFraction.help from \
+	@echo 7066 create PartialFraction.help from \
            ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"PartialFraction.help" ${BOOKS}/bookvol10.3.pamphlet \
            >${HELP}/PartialFraction.help
@@ -17248,7 +17259,7 @@ ${HELP}/PartialFraction.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "PartialFraction (PFR)" >>${HELPFILE}
 
 ${HELP}/Permanent.help: ${BOOKS}/bookvol10.4.pamphlet
-	@echo 7062 create Permanent.help from ${BOOKS}/bookvol10.4.pamphlet
+	@echo 7067 create Permanent.help from ${BOOKS}/bookvol10.4.pamphlet
 	@${TANGLE} -R"Permanent.help" ${BOOKS}/bookvol10.4.pamphlet \
            >${HELP}/Permanent.help
 	@cp ${HELP}/Permanent.help ${HELP}/PERMAN.help
@@ -17257,7 +17268,7 @@ ${HELP}/Permanent.help: ${BOOKS}/bookvol10.4.pamphlet
 	@echo "Permanent (PERMAN)" >>${HELPFILE}
 
 ${HELP}/Permutation.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7063 create Permutation.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 7068 create Permutation.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Permutation.help" ${BOOKS}/bookvol10.3.pamphlet \
            >${HELP}/Permutation.help
 	@cp ${HELP}/Permutation.help ${HELP}/PERM.help
@@ -17266,7 +17277,7 @@ ${HELP}/Permutation.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "Permutation (PERM)" >>${HELPFILE}
 
 ${HELP}/PlaneAlgebraicCurvePlot.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7064 create PlaneAlgebraicCurvePlot.help from \
+	@echo 7069 create PlaneAlgebraicCurvePlot.help from \
             ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"PlaneAlgebraicCurvePlot.help" \
           ${BOOKS}/bookvol10.3.pamphlet \
@@ -17278,7 +17289,7 @@ ${HELP}/PlaneAlgebraicCurvePlot.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "PlaneAlgebraicCurvePlot (ACPLOT)" >>${HELPFILE}
 
 ${HELP}/Plot.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7064 create Plot.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 7070 create Plot.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Plot.help" ${BOOKS}/bookvol10.3.pamphlet \
             >${HELP}/Plot.help
 	@-cp ${HELP}/Plot.help ${HELP}/PLOT.help
@@ -17287,7 +17298,7 @@ ${HELP}/Plot.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "Plot (PLOT)" >>${HELPFILE}
 
 ${HELP}/Polynomial.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7065 create Polynomial.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 7071 create Polynomial.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Polynomial.help" ${BOOKS}/bookvol10.3.pamphlet \
            >${HELP}/Polynomial.help
 	@cp ${HELP}/Polynomial.help ${HELP}/POLY.help
@@ -17296,7 +17307,7 @@ ${HELP}/Polynomial.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "Polynomial (POLY)" >>${HELPFILE}
 
 ${HELP}/Quaternion.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7066 create Quaternion.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 7072 create Quaternion.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Quaternion.help" ${BOOKS}/bookvol10.3.pamphlet \
            >${HELP}/Quaternion.help
 	@cp ${HELP}/Quaternion.help ${HELP}/QUAT.help
@@ -17305,7 +17316,7 @@ ${HELP}/Quaternion.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "Quaternion (QUAT)" >>${HELPFILE}
 
 ${HELP}/Queue.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7078 create Queue.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 7073 create Queue.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Queue.help" ${BOOKS}/bookvol10.3.pamphlet \
            >${HELP}/Queue.help
 	@-cp ${HELP}/Queue.help ${HELP}/QUEUE.help
@@ -17314,7 +17325,7 @@ ${HELP}/Queue.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "Queue (QUEUE)" >>${HELPFILE}
 
 ${HELP}/RadixExpansion.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7067 create RadixExpansion.help from \
+	@echo 7074 create RadixExpansion.help from \
            ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"RadixExpansion.help" ${BOOKS}/bookvol10.3.pamphlet \
            >${HELP}/RadixExpansion.help
@@ -17324,7 +17335,7 @@ ${HELP}/RadixExpansion.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "RadixExpansion (RADIX)" >>${HELPFILE}
 
 ${HELP}/RealClosure.help: ${BOOKS}/bookvol10.3.pamphlet 
-	@echo 7068 create RealClosure.help from ${BOOKS}/bookvol10.3.pamphlet 
+	@echo 7075 create RealClosure.help from ${BOOKS}/bookvol10.3.pamphlet 
 	@${TANGLE} -R"RealClosure.help" ${BOOKS}/bookvol10.3.pamphlet  \
            >${HELP}/RealClosure.help
 	@cp ${HELP}/RealClosure.help ${HELP}/RECLOS.help
@@ -17333,7 +17344,7 @@ ${HELP}/RealClosure.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "RealClosure (RECLOS)" >>${HELPFILE}
 
 ${HELP}/RealSolvePackage.help: ${BOOKS}/bookvol10.4.pamphlet 
-	@echo 7069 create RealSolvePackage.help from \
+	@echo 7076 create RealSolvePackage.help from \
           ${BOOKS}/bookvol10.4.pamphlet 
 	@${TANGLE} -R"RealSolvePackage.help" ${BOOKS}/bookvol10.4.pamphlet  \
            >${HELP}/RealSolvePackage.help
@@ -17343,7 +17354,7 @@ ${HELP}/RealSolvePackage.help: ${BOOKS}/bookvol10.4.pamphlet
 	@echo "RealSolvePackage (REALSOLV)" >>${HELPFILE}
 
 ${HELP}/RegularTriangularSet.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7070 create RegularTriangularSet.help from \
+	@echo 7077 create RegularTriangularSet.help from \
           ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"RegularTriangularSet.help" \
           ${BOOKS}/bookvol10.3.pamphlet \
@@ -17355,7 +17366,7 @@ ${HELP}/RegularTriangularSet.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "RegularTriangularSet (REGSET)" >>${HELPFILE}
 
 ${HELP}/RomanNumeral.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7071 create RomanNumeral.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 7078 create RomanNumeral.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"RomanNumeral.help" ${BOOKS}/bookvol10.3.pamphlet \
            >${HELP}/RomanNumeral.help
 	@cp ${HELP}/RomanNumeral.help ${HELP}/ROMAN.help
@@ -17364,7 +17375,7 @@ ${HELP}/RomanNumeral.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "RomanNumeral (ROMAN)" >>${HELPFILE}
 
 ${HELP}/Segment.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7072 create Segment.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 7079 create Segment.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Segment.help" ${BOOKS}/bookvol10.3.pamphlet \
            >${HELP}/Segment.help
 	@cp ${HELP}/Segment.help ${HELP}/SEG.help
@@ -17373,7 +17384,7 @@ ${HELP}/Segment.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "Segment (SEG)" >>${HELPFILE}
 
 ${HELP}/SegmentBinding.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7072 create SegmentBinding.help from \
+	@echo 7080 create SegmentBinding.help from \
            ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"SegmentBinding.help" ${BOOKS}/bookvol10.3.pamphlet \
            >${HELP}/SegmentBinding.help
@@ -17383,7 +17394,7 @@ ${HELP}/SegmentBinding.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "SegmentBinding (SEGBIND)" >>${HELPFILE}
 
 ${HELP}/Set.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7073 create Set.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 7081 create Set.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Set.help" ${BOOKS}/bookvol10.3.pamphlet \
            >${HELP}/Set.help
 	@-cp ${HELP}/Set.help ${HELP}/SET.help
@@ -17392,7 +17403,7 @@ ${HELP}/Set.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "Set (SET)" >>${HELPFILE}
 
 ${HELP}/SingleInteger.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7074 create SingleInteger.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 7082 create SingleInteger.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"SingleInteger.help" ${BOOKS}/bookvol10.3.pamphlet \
            >${HELP}/SingleInteger.help
 	@cp ${HELP}/SingleInteger.help ${HELP}/SINT.help
@@ -17401,7 +17412,7 @@ ${HELP}/SingleInteger.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "SingleInteger (SINT)" >>${HELPFILE}
 
 ${HELP}/SparseTable.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7075 create SparseTable.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 7083 create SparseTable.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"SparseTable.help" ${BOOKS}/bookvol10.3.pamphlet \
            >${HELP}/SparseTable.help
 	@cp ${HELP}/SparseTable.help ${HELP}/STBL.help
@@ -17410,7 +17421,7 @@ ${HELP}/SparseTable.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "SparseTable (STBL)" >>${HELPFILE}
 
 ${HELP}/SquareMatrix.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7076 create SquareMatrix.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 7084 create SquareMatrix.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"SquareMatrix.help" ${BOOKS}/bookvol10.3.pamphlet \
            >${HELP}/SquareMatrix.help
 	@cp ${HELP}/SquareMatrix.help ${HELP}/SQMATRIX.help
@@ -17419,7 +17430,7 @@ ${HELP}/SquareMatrix.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "SquareMatrix (SQMATRIX)" >>${HELPFILE}
 
 ${HELP}/SquareFreeRegularTriangularSet.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7077 create SquareFreeRegularTriangularSet.help from \
+	@echo 7085 create SquareFreeRegularTriangularSet.help from \
            ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"SquareFreeRegularTriangularSet.help" \
            ${BOOKS}/bookvol10.3.pamphlet \
@@ -17431,7 +17442,7 @@ ${HELP}/SquareFreeRegularTriangularSet.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "SquareFreeRegularTriangularSet (SREGSET)" >>${HELPFILE}
 
 ${HELP}/Stack.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7078 create Stack.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 7086 create Stack.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Stack.help" ${BOOKS}/bookvol10.3.pamphlet \
            >${HELP}/Stack.help
 	@-cp ${HELP}/Stack.help ${HELP}/STACK.help
@@ -17440,7 +17451,7 @@ ${HELP}/Stack.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "Stack (STACK)" >>${HELPFILE}
 
 ${HELP}/Stream.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7078 create Stream.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 7087 create Stream.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Stream.help" ${BOOKS}/bookvol10.3.pamphlet \
            >${HELP}/Stream.help
 	@-cp ${HELP}/Stream.help ${HELP}/STREAM.help
@@ -17449,7 +17460,7 @@ ${HELP}/Stream.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "Stream (STREAM)" >>${HELPFILE}
 
 ${HELP}/String.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7079 create String.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 7088 create String.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"String.help" ${BOOKS}/bookvol10.3.pamphlet \
            >${HELP}/String.help
 	@-cp ${HELP}/String.help ${HELP}/STRING.help
@@ -17458,7 +17469,7 @@ ${HELP}/String.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "String (STRING)" >>${HELPFILE}
 
 ${HELP}/StringTable.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7080 create StringTable.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 7089 create StringTable.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"StringTable.help" ${BOOKS}/bookvol10.3.pamphlet \
            >${HELP}/StringTable.help
 	@cp ${HELP}/StringTable.help ${HELP}/STRTBL.help
@@ -17467,7 +17478,7 @@ ${HELP}/StringTable.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "StringTable (STRTBL)" >>${HELPFILE}
 
 ${HELP}/Symbol.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7081 create Symbol.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 7090 create Symbol.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Symbol.help" ${BOOKS}/bookvol10.3.pamphlet \
            >${HELP}/Symbol.help
 	@-cp ${HELP}/Symbol.help ${HELP}/SYMBOL.help
@@ -17476,7 +17487,7 @@ ${HELP}/Symbol.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "Symbol (SYMBOL)" >>${HELPFILE}
 
 ${HELP}/Table.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7082 create Table.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 7091 create Table.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Table.help" ${BOOKS}/bookvol10.3.pamphlet \
            >${HELP}/Table.help
 	@-cp ${HELP}/Table.help ${HELP}/TABLE.help
@@ -17485,7 +17496,7 @@ ${HELP}/Table.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "Table (TABLE)" >>${HELPFILE}
 
 ${HELP}/TextFile.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7083 create TextFile.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 7092 create TextFile.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"TextFile.help" ${BOOKS}/bookvol10.3.pamphlet \
            >${HELP}/TextFile.help
 	@-cp ${HELP}/TextFile.help ${HELP}/TEXTFILE.help
@@ -17494,7 +17505,7 @@ ${HELP}/TextFile.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "TextFile (TEXTFILE)" >>${HELPFILE}
 
 ${HELP}/TwoDimensionalArray.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7084 create TwoDimensionalArray.help from \
+	@echo 7093 create TwoDimensionalArray.help from \
            ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"TwoDimensionalArray.help" ${BOOKS}/bookvol10.3.pamphlet \
            >${HELP}/TwoDimensionalArray.help
@@ -17505,7 +17516,7 @@ ${HELP}/TwoDimensionalArray.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "TwoDimensionalArray (ARRAY2)" >>${HELPFILE}
 
 ${HELP}/TwoDimensionalViewport.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7085 create TwoDimensionalViewport.help from \
+	@echo 7094 create TwoDimensionalViewport.help from \
            ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"TwoDimensionalViewport.help" \
            ${BOOKS}/bookvol10.3.pamphlet \
@@ -17515,7 +17526,7 @@ ${HELP}/TwoDimensionalViewport.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "TwoDimensionalViewport (VIEW2D)" >>${HELPFILE}
 
 ${HELP}/UnivariatePolynomial.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7086 create UnivariatePolynomial.help from \
+	@echo 7095 create UnivariatePolynomial.help from \
            ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"UnivariatePolynomial.help" \
           ${BOOKS}/bookvol10.3.pamphlet \
@@ -17527,7 +17538,7 @@ ${HELP}/UnivariatePolynomial.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "UnivariatePolynomial (UP)" >>${HELPFILE}
 
 ${HELP}/UniversalSegment.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7087 create UniversalSegment.help from \
+	@echo 7096 create UniversalSegment.help from \
            ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"UniversalSegment.help" ${BOOKS}/bookvol10.3.pamphlet \
            >${HELP}/UniversalSegment.help
@@ -17537,7 +17548,7 @@ ${HELP}/UniversalSegment.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "UniversalSegment (UNISEG)" >>${HELPFILE}
 
 ${HELP}/Vector.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7088 create Vector.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 7097 create Vector.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Vector.help" ${BOOKS}/bookvol10.3.pamphlet \
            >${HELP}/Vector.help
 	@-cp ${HELP}/Vector.help ${HELP}/VECTOR.help
@@ -17546,7 +17557,7 @@ ${HELP}/Vector.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "Vector (VECTOR)" >>${HELPFILE}
 
 ${HELP}/Void.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7089 create Void.help from ${BOOKS}/bookvol10.3.pamphlet
+	@echo 7098 create Void.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Void.help" ${BOOKS}/bookvol10.3.pamphlet \
             >${HELP}/Void.help
 	@-cp ${HELP}/Void.help ${HELP}/VOID.help
@@ -17555,7 +17566,7 @@ ${HELP}/Void.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "Void (VOID)" >>${HELPFILE}
 
 ${HELP}/WuWenTsunTriangularSet.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7090 create WuWenTsunTriangularSet.help from \
+	@echo 7099 create WuWenTsunTriangularSet.help from \
            ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"WuWenTsunTriangularSet.help" \
            ${BOOKS}/bookvol10.3.pamphlet \
@@ -17567,7 +17578,7 @@ ${HELP}/WuWenTsunTriangularSet.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "WuWenTsunTriangularSet (WUTSET)" >>${HELPFILE}
 
 ${HELP}/XPBWPolynomial.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7091 create XPBWPolynomial.help from \
+	@echo 7100 create XPBWPolynomial.help from \
            ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"XPBWPolynomial.help" \
            ${BOOKS}/bookvol10.3.pamphlet \
@@ -17579,7 +17590,7 @@ ${HELP}/XPBWPolynomial.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "XPBWPolynomial (XPBWPOLY)" >>${HELPFILE}
 
 ${HELP}/XPolynomial.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7092 create XPolynomial.help from \
+	@echo 7101 create XPolynomial.help from \
            ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"XPolynomial.help"  \
            ${BOOKS}/bookvol10.3.pamphlet \
@@ -17591,7 +17602,7 @@ ${HELP}/XPolynomial.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "XPolynomial (XPOLY)" >>${HELPFILE}
 
 ${HELP}/XPolynomialRing.help: ${BOOKS}/bookvol10.3.pamphlet
-	@echo 7093 create XPolynomialRing.help from \
+	@echo 7102 create XPolynomialRing.help from \
            ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"XPolynomialRing.help" \
            ${BOOKS}/bookvol10.3.pamphlet \
@@ -17603,7 +17614,7 @@ ${HELP}/XPolynomialRing.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo "XPolynomialRing (XPR)" >>${HELPFILE}
 
 ${HELP}/ZeroDimensionalSolvePackage.help: ${BOOKS}/bookvol10.4.pamphlet
-	@echo 7094 create ZeroDimensionalSolvePackage.help from \
+	@echo 7103 create ZeroDimensionalSolvePackage.help from \
            ${BOOKS}/bookvol10.4.pamphlet
 	@${TANGLE} -R"ZeroDimensionalSolvePackage.help" \
            ${BOOKS}/bookvol10.4.pamphlet \
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 0ed5c8f..564aaaf 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -963,5 +963,7 @@ bookvol10.2 add documentation<br/>
 bookvol10.3 add regression, help, examples for ArrayStack<br/>
 <a href="patches/20090223.01.tpd.patch">20090223.01.tpd.patch</a>
 bookvol10.3 add regression, help, examples for Queue<br/>
+<a href="patches/20090224.01.tpd.patch">20090224.01.tpd.patch</a>
+bookvol10.3 add regression, help, examples for Dequeue<br/>
  </body>
 </html>
